Skip to main content
POST
cURL
This endpoint is not available on the Free Developer Plan. Upgrade here.
This endpoint is in the version 2024.0. No changes are required to continue using it. For more details, see Box API versioning.Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fields
string[]

A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.

Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.

Body

application/json
enterprise
object
required

The enterprise to invite the user to.

actionable_by
object
required

The user to invite.

is_auto_roll_in_enabled
boolean
default:false

If set to true, the user is added to the enterprise automatically after 14 days instead of having to accept the invite. Only unmanaged users can be invited this way. Availability depends on the enterprise's plan.

Example:

true

Response

Returns a new invite object.

An invite for a user to an enterprise.

id
string
required

The unique identifier for this invite.

Example:

"11446498"

type
enum<string>
required

The value will always be invite.

Available options:
invite
Example:

"invite"

invited_to
Enterprise · object

A representation of a Box enterprise.

actionable_by
User (Mini) · object

A mini representation of a user, as can be returned when nested within other resources.

invited_by
User (Mini) · object

A mini representation of a user, as can be returned when nested within other resources.

status
string

The status of the invite.

Example:

"pending"

created_at
string<date-time>

When the invite was created.

Example:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

When the invite was modified.

Example:

"2012-12-12T10:53:43-08:00"

auto_roll_in_at
string<date-time> | null

The date and time when the user is added to the enterprise automatically, or null if the user has to accept the invite.

Example:

"2012-12-26T00:00:00-08:00"

is_auto_roll_in
boolean

Whether the user is added to the enterprise automatically, without having to accept the invite. When true, auto_roll_in_at contains the date and time of the roll-in.

Example:

true

Last modified on August 25, 2026